/**
 * 页面分享 Hook
 * @param index 分享按钮索引
 * @param cb 自定义回调
 * @returns 分享函数
 */
export function useShare(index = 0, cb?: (e: Page.NavigationBarButtonTapOption) => void) {
    /**
     * 分享
     */
    function share() {
        // TODO
        // 1. 获取需要分享的类型，如: 图片、链接、文本
        // 2. 根据类型，获取需要分享的内容（图片通常是页面截屏）
        // 3. 实现截屏功能
        // 4. 实现分享功能

        Message.toast('分享功能暂未实现')
    }

    onNavigationBarButtonTap((e) => {
        if (e.index === index) {
            share()
        }

        // 自定义回调
        cb?.(e)
    })

    return {
        share,
    }
}
